Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.contentassist
Interface IContextInformationPresenter

All Known Subinterfaces:
  ISubjectControlContextInformationPresenter

public interface IContextInformationPresenter

A context information presenter determines the presentation of context information depending on a given document position.

The interface can be implemented by clients.

Since:
  2.0

Method Summary
`void` | `install(IContextInformation info, ITextViewer viewer, int offset)` Installs this presenter for the given context information.
`boolean` | `updatePresentation(int offset, TextPresentation presentation)` Updates the given presentation of the given context information at the given document position.

Method Detail

### install

    public void install(IContextInformation info,
                        ITextViewer viewer,
                        int offset)

  Installs this presenter for the given context information.

  Parameters:
    `info` - the context information which this presenter should style
    `viewer` - the text viewer on which the information is presented
    `offset` - the document offset for which the information has been computed

### updatePresentation

    public boolean updatePresentation(int offset,
                                      TextPresentation presentation)

  Updates the given presentation of the given context information at the given document position. Returns whether update changed the presentation.

  Parameters:
    `offset` - the current offset within the document
    `presentation` - the presentation to be updated
  Returns:
    `true` if the given presentation has been changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.